=== debian/changelog ===
pve-lxc-syscalld (1.3.0) bookworm; urgency=medium

  * rebuild for Debian 12 bookworm based release series

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 May 2023 13:33:14 +0200

rust-pve-lxc-syscalld (1.2.2-1) pve; urgency=medium

  * remove old poll/event handling for SEQPACKET socket

  * re-enable non-blocking client sockets

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Jul 2022 12:15:06 +0200

rust-pve-lxc-syscalld (1.2.1-1) pve; urgency=medium

  * revert non-blocking socket i/o patch

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Jul 2022 11:17:54 +0200

rust-pve-lxc-syscalld (1.2.0-1) pve; urgency=medium

  * update to rust edition 2021

  * update nix dependency to 0.24

  * keep worker count between 2 and 4 to avoid lots of idle threads on high
    thread cpus, as we rarely get involved in container activity

  * use non-blocking i/o for sockets

 -- Proxmox Support Team <support@proxmox.com>  Thu, 07 Jul 2022 15:18:20 +0200

rust-pve-lxc-syscalld (1.1.1-1) pve; urgency=medium

  * improve handling of AT_FDCWD as file descriptor parameter

 -- Proxmox Support Team <support@proxmox.com>  Wed, 01 Jun 2022 09:42:15 +0200

rust-pve-lxc-syscalld (1.1.0-1) pve; urgency=medium

  * accept negative file descriptors, as they have valid use cases

 -- Proxmox Support Team <support@proxmox.com>  Fri, 07 Jan 2022 14:20:14 +0100

rust-pve-lxc-syscalld (1.0.0-1) pve; urgency=medium

  * support pure cgroupv2 environments

  * fix issue with tokio 1.0 update causing pipes in forked syscalls to
    wrongly indicate EOF

 -- Proxmox Support Team <support@proxmox.com>  Thu, 10 Jun 2021 12:03:52 +0200

rust-pve-lxc-syscalld (0.9.2-1) pve; urgency=medium

  * update to tokio 1.0

  * re-build for Proxmox VE 7 / Debian Bullseye

 -- Proxmox Support Team <support@proxmox.com>  Wed, 12 May 2021 21:05:15 +0200

rust-pve-lxc-syscalld (0.9.1-1) pve; urgency=medium

  * fix handling of '--' parameter separator and error output

 -- Proxmox Support Team <support@proxmox.com>  Thu, 30 Jan 2020 09:02:35 +0100

rust-pve-lxc-syscalld (0.9.0-1) pve; urgency=medium

  * initial development release

 -- Proxmox Support Team <support@proxmox.com>  Wed, 29 Jan 2020 12:00:00 +0100
